ru.yandex.clickhouse.response

## Class FastByteArrayInputStream

- java.lang.Object
- - java.io.InputStream
  - - ru.yandex.clickhouse.response.FastByteArrayInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class FastByteArrayInputStream
    extends InputStream

Not synchronized quick version of `ByteArrayInputStream`

### Constructor Summary

Constructors
Constructor and Description
`FastByteArrayInputStream(byte[] buf)`
`FastByteArrayInputStream(byte[] buf, int count)` Special constructor fo creating InputStream over not fully filled array

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`byte[]` `getBuf()`
`int` `getCount()`
`byte[]` `getData()`
`int` `getPos()`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

### Methods inherited from class java.io.InputStream

`mark, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastByteArrayInputStream

    public FastByteArrayInputStream(byte[] buf)

#### FastByteArrayInputStream

    public FastByteArrayInputStream(byte[] buf,
                                    int count)

Special constructor fo creating InputStream over not fully filled array

Parameters:
  `buf` - byte array
  `count` - number of filled elements

### Method Detail

#### read

    public int read()

Specified by:
  `read` in class `InputStream`

#### read

    public int read(byte[] b,
                    int off,
                    int len)

Overrides:
  `read` in class `InputStream`

#### skip

    public long skip(long n)

Overrides:
  `skip` in class `InputStream`

#### available

    public int available()

Overrides:
  `available` in class `InputStream`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

#### getPos

    public int getPos()

#### getCount

    public int getCount()

#### getBuf

    public byte[] getBuf()

#### getData

    public byte[] getData()

#### reset

    public void reset()

Overrides:
  `reset` in class `InputStream`